# Sound Pack By: (=SK=)TrOMa
# Idea By: My Dad.
# 
#                                                              
#   						             
#   						               
#                                     
#                                          
#                                       
# Pack!
#(Undercover Brother)
# 
# Edit these if u wish
#  |||||||||||||||||||||
# -vvvvvvvvvvvvvvvvvvvvv-
$TROMA::ConnectMessage  = "Hey What Up Guyz!!";
$TROMA::Taunt = "(=SK=)TrOMa ownz you!";
$TROMA::Great = "Sup!";
$TROMA::Bye   = "Laterz!";
# -^^^^^^^^^^^^^^^^^^^^^-
#  |||||||||||||||||||||

newObject(PlayChatMenu, ChatMenu, "Pack Made By (=SK=)TrOMa:");

setPlayChatMenu("vOffense");
		addPlayTeamChat("aAttack!","Attack!", attack);
		addPlayTeamChat("wWait for signal", "Wait for my signal to attack.", waitsig);
		addPlayTeamChat("cCease fire", "Cease fire!", cease);
		addPlayTeamChat("mMove out", "Move out.", moveout);
		addPlayTeamChat("rRetreat", "Retreat!", retreat);
		addPlayTeamChat("hHit deck", "Hit the deck!", hitdeck);
		addPlayTeamChat("eRegroup", "Regroup.", regroup);
		addPlayTeamChat("vCover me", "Cover me!", coverme);
		addPlayTeamChat("gGoing offense", "Going offense.", ono);
		addPlayTeamChat("zAPC ready", "APC ready to go... waiting for passengers.", waitpas);

setPlayChatMenu("tTarget");
		addPlayTeamChat("aTarget acquired", "Target Acquired", tgtacq);
		addPlayTeamChat("fFire on my target", "Fire on my target", firetgt);
		addPlayTeamChat("nTarget needed", "I need a target.", needtgt);
		addPlayTeamChat("oTarget out of range", "Target out of range.", tgtout);
		addPlayTeamChat("dDestroy Enemy Generator", "Destroy the enemy genarator.", desgen);
		addPlayTeamChat("eEnemy Generator Destroyed", "Enemy generator destroyed.", gendes);
		addPlayTeamChat("tDestroy Enemy Turret", "Destroy enemy turret.", destur);
		addPlayTeamChat("sEnemy Turret Destroyed", "Enemy turret destroyed.", turdes);

setPlayChatMenu("dDefense");
		addPlayTeamChat("iIncoming Enemies", "Incoming enemies!", incom2);
		addPlayTeamChat("aAttacked", "We are being attacked.", basatt);
		addPlayTeamChat("eEnemy is attacking base", "The enemy is attacking our base.", basundr);
		addPlayTeamChat("nNeed more defense", "We need more defense.", needdef);
		addPlayTeamChat("bDefend our base", "Defend our base.", defbase);
		addPlayTeamChat("dDefending base", "Defending our base.", defend);
		addPlayTeamChat("tBase Taken", "Base is taken.", basetkn);
		addPlayTeamChat("cBase Clear", "Base is secured.", bsclr2);
		addPlayTeamChat("qIs Base Clear?", "Is our base clear?", isbsclr);

setPlayChatMenu("fFlag");
		addPlayTeamChat("gFlag gone", "Our flag is not in the base!", flgtkn1);
		addPlayTeamChat("eEnemy has flag", "The enemy has our flag!", flgtkm2);
		addPlayTeamChat("hHave enemy flag", "I have the enemy flag.", haveflg);
		addPlayTeamChat("sFlag secure", "Our flag is secure.", flaghm);
		addPlayTeamChat("rReturn our flag", "Return our flag to base.", retflag);
		addPlayTeamChat("fGet enemy flag", "Get the enemy flag.", geteflg);
		addPlayTeamChat("mFlag mined", "Our flag is mined.", flgmine);
		addPlayTeamChat("cClear mines", "Clear the mines from our flag.", clrflg);
		addPlayTeamChat("dMines cleared", "Mines have been cleared.", mineclr);

setPlayChatMenu("rNeed");
		addPlayTeamChat("rNeed Repairs", "Need repairs.", needrep);
		addPlayTeamChat("aNeed APC Pickup", "I need an APC pickup.", needpku);
		addPlayTeamChat("eNeed Escort", "I need an escort back to base.", needesc);
		addPlayTeamChat("tNeed Ammo", "Can anyone bring me some ammo?", needamo);

setPlayChatMenu("eTeam");
		addPlayChat("wWatch Shooting", "Watch where your shooting!", wshoot3);
		addPlayChat("dDont know", "I don't know.", dontkno);
		addPlayChat("nNo", "No.", no);
		addPlayChat("yYes", "Yes.", yes);
		addPlayChat("tThanks", "Thanks.", thanks);
		addPlayChat("aNo Problem", "No Problem.", noprob);
		addPlayChat("sSorry", "Sorry.", sorry);
		addLocal("hHurry station", hurystn);

setPlayChatMenu("gGlobal");
		addPlayChat("zDoh", "Doh!", oops1);
		addPlayChat("oOops", "Oops!", oops2);
		addPlayChat("sShazbot", "Shazbot!", color2);
		addPlayChat("qDamnit", "Damnit!", color6);
		addPlayChat("cCrap", "Ah Crap!", color7);
		addPlayChat("eDuh", "Duh.", dsgst1);
		addPlayChat("xYou Idiot", "You Idiot!", dsgst2);

setPlayChatMenu("aAnimations");
		addPlayAnim("oOver here", 0, ovrhere);
		addPlayAnim("dMove out of way", 1, outway);
		addPlayAnim("rRetreat", 2, retreat);
		addPlayAnim("sStop", 3, dsgst4);
		addPlayAnim("fSalute", 4, yes);
		addPlayAnim("zKneel Pose", 10);
		addPlayAnim("xStand Pose", 11);
		addPlayAnim("qCelebrate 1", 5, cheer1);
		addPlayAnim("eCelebrate 2", 6, cheer2);
		addPlayAnim("wCelebrate 3", 7, cheer3);
		addPlayAnim("vTaunt 1 - how'd that feel?", 8, taunt10);
		addPlayAnim("gTaunt 2 - Come get some", 9, taunt4);
		addPlayAnim("hWave - Hi", 12, hello);
		addPlayAnim("bWave - Bye", 12, bye);


setPlayChatMenu("zCommand Response");
	addPlayCMDResponse("aAcknowledged", 1, "Command acknowledged", "acknow");
	addPlayCMDResponse("zCompleted", 0, "Objective complete", "objcomp");
	addPlayCMDResponse("uUnable to complete", 0, "Unable to complete objective", "objxcmp");

setPlayChatMenu("1 Undercover Brother");
		addPlayChat("aWord fer-", "Word fer sheezy my-nizzy.", word);
		addPlayChat("bI said-", "I said, ''For sure. Yes in-deedy.''", isaid);
		addPlayChat("cTo funky-", "Too funky fer myself.", funky1);
		addPlayChat("dIf you gone shoot me-", "If you gone shoot me... Shoot me.", shootme);
		addPlayChat("eDig it.", "Dig it.", digit);
		addPlayChat("fSolid 1", "Solid.", solid1);
		addPlayChat("gSolid 2", "Solid.", solid2);
		addPlayChat("hHoly funk-", "Holy funkedelly!", funky2);
		addPlayChat("iSpy equipment.", "I mean look at all this hightech spy equipment: Ya got clippers, ya got TSV activator! The only compition must be the KGB or the FBI! Hahaha!", spyequi);
		addPlayChat("jYou got soul.", "You got soul.",  gotsoul);
		addPlayChat("kYou got soul. 2", "You got soul.", soul2);
		addPlayChat("lDon't touch tha fro!", "Don't touch tha fro!", fro1);
		addPlayChat("mFire your sorry-", "Gimme one good reason why I shouldn't fire your sorry ass! *...Because I don't work fer you?*", fire);
		addPlayChat("nShut-up!", "Shut-up!", shutup);
		addPlayChat("oNeva in a strugle", "And I neva in a strugle against tha man.", strugle);
		addPlayChat("pHoly molly looks like a", "Holly molly looks like a souce awards in here.", awards);
		addPlayChat("qWazzaaaaah!?", "Wazzaaaaah!?", hello);
		addPlayChat("rBrotha hood.", "B.r.o.t.h.e.r H.o.o.d.", bhood);
		addPlayChat("sOkay he should never do-", "Okay, he should neva do his own thang.", ownthng);
		addPlayChat("tYou's a bad-", "You's a bad mutha - *Shut yo mouth!*", badmtha);
		addPlayChat("uThe number one funky-", "Thats tha number one funky of The Man.", funk3);
		addPlayChat("vKung Fu!", "''Who's there?'' ^Kung.^ ''Kung who??'' *Crack-snap-crack* ^Kung Fu!^", kungfu);

setPlayChatMenu("2 Undercover Brother 2");
		addPlayChat("aOw my wrist!", "Oow my wrist.", myrist);
		addPlayChat("bHoly motown!", "Holy motown!", holymo);
		addPlayChat("cYa don't wanna mess-", "Ya don't wanna mess with me maaaaaan!", dntmess);
		addPlayChat("dStop were you are!", "''Stop were you are, this is security! Do not move!'' ^Quik this way!^ ''Ah hell they moved!''", securty);
		addPlayChat("eTight butt white man.", "Ya gonna have think & act just like a tight butt white man with a 401 K-Plan and a country club member ship!", titebut);
		addPlayChat("fNoooo.", "Noooo.", no);
		addPlayChat("gI feel like George Clinton", "I'ii feel like George Clinton... ...We want tha Funk.", funk4);
		addPlayChat("hBouncen kicken tha spot-", "Im bouncen, kicken tha spot. Gone!", gone);
		addPlayChat("iDickies", "I was wandering, do you have any D!ckies, cause I couldn't find any. *Realy?* M-hmm. *Perhaps we're all -sold out!-.*", dckys);
		addPlayChat("jI say we killem!", "*Shot gun pump* I say we killem!", killem);
		addPlayChat("kButtudy", "He said he would stick his foot up my so called ''Buttudy!''.", butt);
		addPlayChat("lAm I gone die?", "Smart Brotha? Am I gone die?", die);
		addPlayChat("mGot-ta get my", "Got-ta get my groooove back!", groove);
		addPlayChat("nDamnit!", "Damnit!", dmt);
		addPlayChat("oWhat the --", "What the F*ck!", wtf);
		addPlayChat("pDefcon 5", "Hey yall! It's revolution up in this b!tch! Set the alarms! Defcon 5! It's on baby, it's-on!", defcon5);
		addPlayChat("qI quit!", "I sleep on a pissen matris! I aint got good food to eat! I barrow money for me weed! ....I quit!", iquit);
		addPlayChat("rTakes some time to build-", "Takes some time to build up a tollerance like mine. Whu-did ya hear that? Hey yall did ya hear sumthin?",  hear);
		addPlayChat("sSay it loud!", "Say it loud! *Iiiiim black and Im proud!!!*", proud);
		addPlayChat("tYall gonna make me", "Yall gonna make me lose my mind up in here", losemnd);
		addPlayChat("uReady", "You ready to play some funky music white boy?!", whtboy);
		addPlayChat("vFeel black,", "I feel black! *But you look white! Don't touch me!*", feel);

setPlayChatMenu("3 Undercover Brother 3");
		addPlayChat("aIts all over man.", "It's all over maaan!", over);
		addPlayChat("bI am not a sissy!", "...I am not a SISSSSY!!!", sissy);
		addPlayChat("cHe shouldn't'a called me", " He shouldn't 'a called me a sissy!", sissy1);
		addPlayChat("dNot bad whitey", "*Clapping* Not bad whitey. But if it was me, I'da ripped the spine out his ass!", spine);
		addPlayChat("eMess with tha fro-", "Mess with tha fro, you got-ta go!", fro2);
		addPlayChat("fYou know what they say", "You know what they say-Behind every great black man *is The Police* no ''Slow white athletes?'' nono 'Cute Butt?' ^Probable cause.^", behind);
		addPlayChat("gDissed!", "Dissed!", dissed);
		addPlayChat("hFabuluss.", "Fabuluss.", fab);
		addPlayChat("iLook at that white -", "L-look at that white girl, are you crazy!", whtgrl);
		addPlayChat("jFreeze Sucka!", "Freeze Sucka!", frzsuka);
		addPlayChat("kIt aint no thang.", "It aint no thang.", nothang);

setPlayChatMenu("4 Custom.");

    addPlayChat("aTaunt...", ""@$TROMA::Taunt@".", taunt10);

    addPlayChat("bGreat...", ""@$TROMA::Great@".", wshoot1);

    addPlayChat("cBye...  ", ""@$TROMA::Bye@".  ", bye);

setPlayChatMenu("b Undercover Brother Animations");
		addPlayAnim("aSolid", 3, solid2);
		addPlayAnim("bYou got soul.", 1, gotsoul);
		addPlayAnim("cBrother Hood.", 3, bhood);
		addPlayAnim("dYou don't wanna mess with me maan!", 8, dntmess);

# Other Stuff |
#   Troma     V 
# Do not edit this.

function onConnection(%message)
{
   echo("Connection ", %message);
   $dataFinished = false;
   if(%message == "Accepted")
   {
      resetSimTime();
		//execute the custom script
		if ($PCFG::Script != "")
		{
	Say(0, ""@$TROMA::ConnectMessage@"~whello"); //Connect Message 
	exec($PCFG::Script); //Just incase.
		}
   

      resetPlayDelegate();
      remoteEval(2048, "SetCLInfo", $PCFG::SkinBase, $PCFG::RealName, $PCFG::EMail, $PCFG::Tribe, $PCFG::URL, $PCFG::Info, $pref::autoWaypoint, $pref::noEnterInvStation, $pref::messageMask);

		if ($Pref::PlayGameMode == "JOIN")
		{
			cursorOn(MainWindow);
	      GuiLoadContentCtrl(MainWindow, "gui\\Loading.gui");
			renderCanvas(MainWindow);
		}

   }
   else if(%message == "Rejected")
   {
		Quickstart();
      $errorString = "Connection to server rejected:\n" @ $errorString;
      GuiPushDialog(MainWindow, "gui\\MessageDialog.gui");
		schedule("Control::setValue(MessageDialogTextFormat, $errorString);", 0);
   }
   else
   {
      //startMainMenuScreen();
		Quickstart();

      if(%message == "Dropped")
      {
         if($errorString == "")
            $errorString = "Connection to server lost:\nServer went down.";
         else
            $errorString = "Connection to server lost:\n" @ $errorString;

         GuiPushDialog(MainWindow, "gui\\MessageDialog.gui");
		   schedule("Control::setValue(MessageDialogTextFormat, $errorString);", 0);
      }
      else if(%message == "TimedOut")
      {
         $errorString = "Connection to server timed out.";
         GuiPushDialog(MainWindow, "gui\\MessageDialog.gui");
		   schedule("Control::setValue(MessageDialogTextFormat, $errorString);", 0);
      }
   }
}